<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\property;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\property\PropertySurplusLogLists;
use app\adminapi\logic\property\PropertySurplusLogLogic;
use app\adminapi\validate\property\PropertySurplusLogValidate;


/**
 * PropertySurplusLog控制器
 * Class PropertySurplusLogController
 * @package app\adminapi\controller
 */
class PropertySurplusLogController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/09/20 16:31
     */
    public function lists()
    {
        return $this->dataLists(new PropertySurplusLogLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/09/20 16:31
     */
    public function add()
    {
        $params = (new PropertySurplusLogValidate())->post()->goCheck('add');
        $result = PropertySurplusLogLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(PropertySurplusLogLogic::getError());
    }


    /**
     * @notes 编辑 -- 审核提现：入账/取消
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/09/20 16:31
     */
    public function edit()
    {
        $params = (new PropertySurplusLogValidate())->post()->goCheck('edit');
        $result = PropertySurplusLogLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(PropertySurplusLogLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/09/20 16:31
     */
    public function delete()
    {
        $params = (new PropertySurplusLogValidate())->post()->goCheck('delete');
        PropertySurplusLogLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/09/20 16:31
     */
    public function detail()
    {
        $params = (new PropertySurplusLogValidate())->goCheck('detail');
        $result = PropertySurplusLogLogic::detail($params);
        return $this->data($result);
    }

    /**
     * @notes 入账
     * @return \think\response\Json
     */
    public function entry()
    {
        $params = (new PropertySurplusLogValidate())->post()->goCheck('detail');
        $params['status'] = 1;
        $result = PropertySurplusLogLogic::edit($params);
        if (true === $result) {
            return $this->success('入账成功', [], 1, 1);
        }
        return $this->fail(PropertySurplusLogLogic::getError());
    }
    /**
     * @notes 取消提现
     * @return \think\response\Json
     */
    public function cancel()
    {
        $params = (new PropertySurplusLogValidate())->post()->goCheck('detail');
        $params['status'] = 2;
        $result = PropertySurplusLogLogic::edit($params);
        if (true === $result) {
            return $this->success('取消成功', [], 1, 1);
        }
        return $this->fail(PropertySurplusLogLogic::getError());
    }

}